<?php
/**
 * The general archive file
 *
 * @since   1.0
 * @version 1.0
 */

get_header(); ?>
	<div class="container">
		<div class="row">
			<div class="main col-sm-12 col-xs-12 <?php echo kanagata_get_layout_class( 'main' ); ?>">
				<div class="category__header">
					<h1 class="category-title  <?php echo esc_attr(get_theme_mod('style_type', 'heading-style-default')); ?>">
						<?php if ( is_category() ) : ?>
							<?php single_cat_title(); ?>
						<?php elseif ( is_tag() ) : ?>
							<?php single_tag_title(); ?>
						<?php else : ?>
							<?php single_month_title(); ?>
						<?php endif; ?>
					</h1>
				</div><!-- .category__header -->
				<div class="category__body">
                    <?php
                    $archive_layout = get_theme_mod('archive_layout', 'full');
					switch ($archive_layout) {
						case 'full':
							get_template_part('template-parts/post');
							break;
						case 'list':
							get_template_part('template-parts/post-list');
							break;
						case 'card':
							get_template_part('template-parts/post-card');
							break;
						default:
							get_template_part('template-parts/post');
					}
					get_template_part('template-parts/pager');
                    ?>
				</div><!-- .category__body -->
			</div><!-- .main .category -->
			<?php get_sidebar(); ?>
		</div><!-- .row -->
	</div><!-- .ontainer -->
<?php get_footer(); ?>
