<?php
/**
 * The theme functions file
 *
 * @package Kanagata
 * @since   1.0
 * @version 1.0
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div class="container">
	<div id="header" class="header">
		<?php if ( has_nav_menu( 'extra' ) ) : ?>
			<a id="sp_menu_extra"  aria-label="Extra Menu">
				<i class="fa fa-bars"></i>
			</a>
			<div class="header__menu-extra">
			<?php
			wp_nav_menu(
				array(
					'theme_location'  => 'extra',
					'container_class' => 'menu-extra-container',
					'menu_class'      => 'menu-extra',
				)
			);
			?>
			</div><!-- .header__menu-extra -->
		<?php endif; ?>
		<div class="header__main clearfix">
			<?php get_template_part( 'template-parts/site-title' ); ?>    
		</div><!-- .header__main -->
		<div class="header__lead clearfix">
			<?php if ( '' !== get_bloginfo( 'description' ) || 1 !== $header_text ) : ?>
				<div class="header__description">
					<h2 class="site-description"><?php echo get_bloginfo( 'description', 'display' ); ?></h2>
				</div><!-- .header__description -->
			<?php endif; ?>
		</div><!-- .header__lead -->
	</div><!-- .header -->
</div><!-- .container -->
<?php if ( has_nav_menu( 'global' ) ) : ?>
	<div class="container" id="menu-global-wrapper">
		<div id="sp_toggle_menu"><a href="#"><i class="fa fa-bars" aria-hidden="true"></i></a></div>
	<?php
	wp_nav_menu(
		array(
			'theme_location'  => 'global',
			'container_class' => 'menu-global-container',
			'menu_class'      => 'menu-global',
		)
	);
	?>
	</div><!-- .container -->
<?php endif; ?>
<?php get_template_part( 'template-parts/jumbotron' ); ?>
<?php get_template_part( 'template-parts/custom-header' ); ?>
<?php get_template_part( 'template-parts/breadcrumbs' ); ?>
