<?php
/**
 * The page template file
 *
 * @since   1.0
 * @version 1.0
 */
?>
<?php
// woocommerce sidebar
// @see https://docs.woocommerce.com/document/conditional-tags/
if ( (function_exists('is_woocommerce')) &&
     (is_woocommerce() || is_shop() || is_product_category() || is_product() || is_cart() || is_checkout() || is_account_page())) : ?>
        <div class="side">
            <div id="sidebar">
                <?php get_template_part('template-parts/sidebar_woocommerce'); ?>
            </div><!-- .sidebar -->
        </div><!-- .side -->
<?php 
// blog sidebar
else :
?>
<div class="side col-xs-12 col-sm-12 <?php echo kanagata_get_layout_class( 'side' ); ?>">
    <div id="sidebar">
        <?php get_template_part('template-parts/sidebar_blog'); ?>
        <?php
        // There is no side menu and no one active sidebar.
        if ( is_front_page() && current_user_can( 'edit_theme_options' ) ) :
            if ( ! has_nav_menu( 'side' )
                && ! is_active_sidebar( 'home' )
                && ! is_active_sidebar( 'common' )
            ) :
                ?>
                <p>
                <?php _e( 'This theme is kanagata.', 'kanagata' ); ?><br>
                <?php _e( 'Side bar can be displayed in the following way.', 'kanagata' ); ?>
                </p>
                <ul>
                    <li><?php _e( '1. Appearance &gt; Widgets.', 'kanagata' ); ?></li>
                    <li><?php _e( '2. Appearance &gt; menu. Please create a menu named side.', 'kanagata' ); ?></li>
                </ul>
                <?php
            endif;
        endif;

        // There is no side menu and no one active sidebar.
        if ( ! is_front_page() && current_user_can( 'edit_theme_options' ) ) :
            if ( ! has_nav_menu( 'side' )
                && ! is_active_sidebar( 'sidebar' )
                && ! is_active_sidebar( 'common' )
                && ! is_active_sidebar( 'woocommerce' )
            ) :
                ?>
                <p>
                <?php _e( 'This theme is kanagata.', 'kanagata' ); ?><br>
                <?php _e( 'Side bar can be displayed in the following way.', 'kanagata' ); ?>
                </p>
                <ul>
                    <li><?php _e( '1. Appearance &gt; Widgets.', 'kanagata' ); ?></li>
                    <li><?php _e( '2. Appearance &gt; menu. Please create a menu named side.', 'kanagata' ); ?></li>
                </ul>
                <?php
            endif;
        endif;
        ?>
    </div><!-- #sidebar -->
</div><!-- .side -->
<?php endif; ?>